%define LANG ja
%define version 0.5
%define release 2mdk

%define xjman_version	0.5
%define man_version	20000815

Summary: japanese manual page
Summary(ja): ܸޥ˥奢ڡ
Name: man-pages-%{LANG}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: System/Internationalization
Source0: http://www.linux.or.jp/JM/man-pages-ja-%{man_version}.tar.bz2
Source1: makewhatis.%{LANG}.bz2
Source2: http://xjman.dsl.gr.jp/xjman-%{xjman_version}.tar.bz2
Icon: books-%{LANG}.gif
URL: http://www.linux.or.jp/JM/download.html
Buildroot: %{_tmppath}/%{name}
Prereq: sed grep man
Autoreqprov: false
BuildArchitectures: noarch
Requires: locales-%{LANG}
Obsoletes: man-%{LANG}, manpages-%{LANG}
Provides: man-%{LANG}

%description
The japanese man pages.

%description -l ja
ܸޥ˥奢ڡ

%prep

%setup -n man-pages-ja-%{man_version}
%build
echo -e "\
$RPM_BUILD_ROOT%{_mandir}/%{LANG}
2
nobody
nobody
Y
\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n
\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n
\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n
C
\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n
Y
" > A

cat A | make config

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/%{LANG}/
mkdir -p $RPM_BUILD_ROOT/var/catman/%{LANG}/cat{1,2,3,4,5,6,7,8,9,n}


# install X11 man pages
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/%{LANG}
tar yxvf %{SOURCE2} -C $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/man/ja_JP.eucJP/* $RPM_BUILD_ROOT/%{_mandir}/%{LANG}

make install

mkdir -p $RPM_BUILD_ROOT/usr/sbin
bzcat $RPM_SOURCE_DIR/makewhatis.%{LANG}.bz2 > \
        $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}
chmod a+rx $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}

$RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG} \
        $RPM_BUILD_ROOT/%{_mandir}/%{LANG}

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis.%{LANG} %{_mandir}/%{LANG}
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron

%post
/etc/cron.weekly/makewhatis-%{LANG}.cron

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LANG}, if there isn't any man page
   ## directory %{_mandir}/%{LANG}
   if [ ! -d %{_mandir}/%{LANG} ] ; then
       rm -rf /var/catman/%{LANG}
   fi
fi
# 1 means update
if [ "$1" = "1" ]; then
   # dirty hack to clean previous man-pages-ja installs
   [ -d var/catman/X11/%{LANG} ] && rm -rf /var/catman/X11/%{LANG} >& /dev/null
   [ -d var/catman/X11 ] && rmdir /var/catman/X11 >& /dev/null
fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,0755)
%doc ChangeLog README
%defattr(0644,root,man,2755)
%dir /%{_mandir}/%{LANG}
/%{_mandir}/%{LANG}/man*
%ghost /%{_mandir}/%{LANG}/whatis
%attr(775,root,man)/var/catman/%{LANG}
%attr(755,root,root)/usr/sbin/makewhatis.%{LANG}
%config %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}.cron

%changelog

* Mon Sep 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.5-2mdk

- fixed path in "makewhatis" script 
* Wed Aug 30 2000 Denis Havlik <denis@mandrakesoft.com> 0.5-1mdk
- updated to  xjman 0.5 and man	20000815
- move xjman pages to %{_mandir}

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-8mdk
- BM

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-7mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS.

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.4-6mdk
- spechelper, permissions
- Group: System/Internationalization

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%{LANG} from /usr/local/sbin to /usr/sbin

* Tue Oct 21 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed Requires typo
- upgraded man pages

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Wed Jul  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Adapted the rpm I mantained to Mandrake style
